Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 539316 - dev-scheme/guile-1.8.8-r1 with ncurses[tinfo] - checking for tgoto in -lncurses... no
Summary: dev-scheme/guile-1.8.8-r1 with ncurses[tinfo] - checking for tgoto in -lncurs...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Development (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Scheme Project
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: tinfo
  Show dependency tree
 
Reported: 2015-02-08 09:04 UTC by Jeroen Roovers
Modified: 2015-10-12 23:27 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
files/guile-1.8.8-tinfo.patch (guile-1.8.8-tinfo.patch,337 bytes, patch)
2015-02-08 09:04 UTC, Jeroen Roovers
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jeroen Roovers gentoo-dev 2015-02-08 09:04:33 UTC
Created attachment 395868 [details, diff]
files/guile-1.8.8-tinfo.patch

checking for tgoto in -lncurses... no
checking for tgoto in -lcurses... no
checking for tgoto in -ltermcap... no
checking for tgoto in -lterminfo... no
checking for tgoto in -ltermlib... no

It's in -ltinfo!
Comment 1 Jeroen Roovers gentoo-dev 2015-02-08 09:09:11 UTC
Additionally, the ebuild should depend on sys-libs/ncurses to begin with.
Comment 2 Jeroen Roovers gentoo-dev 2015-02-08 10:18:10 UTC
Oh, that's odd. It checks for tgoto and it links against -l{termcap}, but with --as-needed it seems it doesn't actually use it (tgoto or anything else that the termcap library defines).
Comment 3 Jeroen Roovers gentoo-dev 2015-02-08 10:21:06 UTC
Comment on attachment 395868 [details, diff]
files/guile-1.8.8-tinfo.patch

Perhaps a better patch would remove the configure check and subsequent linkage (basically all the lines in this patch after AC_SUBST(EXTRA_DEFS)), since without --as-needed you'd end up with an unneeded library linked in.
Comment 4 Ryan Hill (RETIRED) gentoo-dev 2015-09-19 04:50:56 UTC
I'm not seeing the problem here.

checking for tgoto in -lncurses... no
checking for tgoto in -lcurses... no
checking for tgoto in -ltermcap... no
checking for tgoto in -lterminfo... no
checking for tgoto in -ltermlib... no
checking for readline in -lreadline... yes

caribou ~ # ldd /usr/lib/libguilereadline-v-17.so | grep tinfo
	libtinfo.so.6 => /usr/lib64/libtinfo.so.6 (0x00007f0536dff000)

Patch is harmless though.
Comment 5 Ryan Hill (RETIRED) gentoo-dev 2015-10-12 23:27:42 UTC
Fixed in 1.8.8-r2.